Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160259 - RPM saves $file.rpmsave in incorrect mode
Summary: RPM saves $file.rpmsave in incorrect mode
Keywords:
Status: CLOSED DUPLICATE of bug 145373
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard: impact=low,public=20050117,reported=2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-13 21:40 UTC by Guy Streeter
Modified: 2016-02-10 01:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-14 18:38:22 UTC


Attachments (Terms of Use)

Description Guy Streeter 2005-06-13 21:40:34 UTC
+++ This bug was initially created as a clone of Bug #145373 +++

Description of problem:

I removed the netdump-server package, but since I had changed the 
/var/crash/.ssh/authorized_keys2 file, it saved it as a .rpmsave file.
 This is good... but it saved it of mode 0644... not of the same mode
that the config file was from.  This seems to be a minor security hole:

[root@jjensen-lnx root]# cd /var/crash/.ssh/

[root@jjensen-lnx .ssh]# ls -l
total 8
-rw-------    1 netdump  netdump       616 Jan 17 15:32 authorized_keys2
-rw-------    1 root     root          616 Jan 17 15:28
authorized_keys2.premade-rw-r--r--    1 root     root            0 



Version-Release number of selected component (if applicable):

FC3, all updates

Comment 1 Paul Nasrat 2005-07-14 18:38:22 UTC
See original bug for closure details - we rename () and unable to reproduce on
RHEL 3, 4 and rawhide.

*** This bug has been marked as a duplicate of 145373 ***


Note You need to log in before you can comment on or make changes to this bug.